Bug 729683 - [abrt] evolution-3.0.2-3.fc15: g_strchug: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
Summary: [abrt] evolution-3.0.2-3.fc15: g_strchug: Process /usr/bin/evolution was kill...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-rss
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:51635d4279e1c4f46f890c8912f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 14:20 UTC by Ondra Pelech
Modified: 2012-08-07 15:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:49:29 UTC


Attachments (Terms of Use)
File: dso_list (20.82 KB, text/plain)
2011-08-10 14:21 UTC, Ondra Pelech
no flags Details
File: maps (81.46 KB, text/plain)
2011-08-10 14:21 UTC, Ondra Pelech
no flags Details
File: backtrace (49.39 KB, text/plain)
2011-08-10 14:21 UTC, Ondra Pelech
no flags Details

Description Ondra Pelech 2011-08-10 14:20:58 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        evolution
comment:        out of the blue
component:      evolution
crash_function: g_strchug
executable:     /usr/bin/evolution
kernel:         2.6.38.8-35.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        evolution-3.0.2-3.fc15
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
time:           Wed Aug 10 16:13:14 2011
uid:            500
username:       ondra

backtrace:      Text file, 50579 bytes
dso_list:       Text file, 21320 bytes
maps:           Text file, 83418 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:322cc067521977fd7ed993ef863b5a13d702b4ac
:8931ab3c073ffb8513aa5e95e6df924ee22b3691
:f65baade131f67f424c4167cb2f046cb63a96c01
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:b06c064de933351790864300dddec868b2a6401e
:1ba57a696637c1e23edecbd851a292f85214b29c
:72aa5791eda644939adb98d7348039ffc0f94e9d
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:d35e1c96632606bf4fbe2359d2f88980932d6717
:89017ab0b75e533e4294f74ee8f7db3daceea536
:ae1ce10392a6e0aaeb2b743e80a3ee2948ac8396
:35b28d014659e2dbca460859b84c985e03695724
:d0c6e13f00a20952a72a945c929efb175fd760e3
:e8aaae1a9b4e574cdbbe8d9687a1e6000e1f8c52
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:9cd020ec2107c08febe2c8fcabd158212c207854
:b03d7dfdb0f88fbcb590eb7ad2feb9b6a98968a5
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:6fa1808f7ed09e76c8b9ffe8be6a6567c77ef3bf
:03604334281bb0fd8ccfea12e1b44c068c1a5a1f
:020ea634b00e306a5ba5982d96f7f55c560bee88
:34731edac080e73155caf41da2038c5625a087ca
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:a2960147ad19dd5da7908715cddbc33e005dd309
:c57c5c1023aaeeda4eeed25c4f8c42ed14c89f26
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c2bbd23d7fbb69770faabb86756bd2a44bfb3415
:d9240d1c81e541609c76f43640d3feab3bc63934
:d14bdf6ee27c810383edb0f8aa0e57daadbb6887
:ebb6702a16d91f29f76e61e919170eba439029c5
:552c6a93aee798ae600a5544eb058e544c9254c2
:0b509ba0261dcc0d9a77b310f0ff97aceedc166b
:2a30fbea662908cb9fae961a6c6550a2262d74d6
:a7f1c18b1ea74748c739d5dc04cf55c46358f641
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:956ba7c4c0243aa4db242c7374401f1e2aa19272
:91689252818532ec13597b6528d38be93b2706c4
:8847557b91c72a43e905585e0f42eeacf6a08fb0
:f6320d3a9d2dccb9d48d2bf7e87b335f336e4123
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:4cc726755f9c6109f86498735196d100d835bf68
:a1e830e235d2a6f79aa34cf229c8067d7f225521
:37e9a5082aa040154f88249741abadb679feadc5
:b450b9f89c3a4b0d01ac1627aabe03c683280c1f
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:c08ee75747f49663df26be3e321cb24fbf70a426
:3d26f2858003fab85b6439a79d6ed86a3dcc4b7c
:5247dd94e5eb5d90145d7a6b86ccc3e7a2624b23
:af8a0cf22e6286f5a1c99545c1ed66b4a317986b
:9e64cc3ad43b578c31bf557cf60251f4275c6b06
:9c7124f8172c2f993351b55d0e5db3439f9b1bb7
:90cb21703f57809b0c613d25c0a96f5fab2ff064
:baf827a0a889e5d073495f8b912ad25a555ccd70
:e10b92bc851cfeb7fae30227813f5dc4aeda7d17
:6162aef2617fc89176e1bda96ef3cdefc54fa19d
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:4b8d7812cda9d15bc6c9acff9ace9cd7b36ba5ce
:25ec9ef08e0d95359f49f0fd5506470fc3665caa
:1ec7f89f76e8988f43ceb32fccd92d513dffef8e
:225c02ace6905e90d71dd54b731e13b0b65c77ad
:08bad10bf66ebe542324b597d6ee310019929249
:6de338b049b1fb2090f77e8efb1122d540c3ffde
:bfe78a8c603507f97b538d3f90408421fe089bc8
:198f7c8a890bb5970170e088d9050fa85c463410
:12fe921fa6ce903fb44dbd1e37cd24e26cc920a6
:39775f982a2975e5a55f59bb1164ad71da0388fd
:e56a1c53a3cc7096355bdae521a2bf98041de78d
:ced1ff22bfcc0894e6f9b8a94a13da2efa539f03
:207e30d15c4b830891ddae4ee51f687a972e934b
:a27ae828c1fc15ecf08bd3fe4e84cb04278f6203
:48f6ae092861d2cc345d614a1e9cbcc8f3f241d3
:189c7475c0490584f314acd7377d00adc0fc2b1a
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:76f195c9e77180c38325a12d59ad79f8e19b8050
:c4b1f303950835fe1e9a5019ce1d368ef8249392
:f77561c1910d48f6d02230d9837b95851d06a761
:e9ab8699ace21892533fe5552ad732ee5a222a8d
:a6ad58b29f6163ac63f9eb7fc08bf0663764779b
:a07a121002425bb39c1f54c29bfce32d34cea2c1
:c0170fedaf8b7922a6cecd1239bb829aeb131e42
:2b62aca27c2bee4ff1369be4cfa101a15ad7daac
:b86f00a668ca8dd79d7508fa5cd1894986085fd2
:48aea888319e1848137073c9cbde54a4c2a731c9
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:9d1226d3a569ec0c6993e30c6b7a89bbfcfe3741
:d259f77e246b7dde5797633a40e4a655375f9b97
:190d3ac124dd584d5cebf1fc892a27f8642f5e1c
:09964c492d50efe5e16f56001b3b6eccdd4e6f09
:5e9f9b1088769d17091809b0cba159ea5ac8e283
:d7c5016a6ca41dbd304fd0912481ca40e73631d4
:1055e62099500981301b63d6b8d4c452484d18af
:d5c892b3c8355758e25083dd7f46cbbc4e043dc2
:9eb3646a4d95b88c0d8b57aa8b2a0ca01569cc6d
:b538c7a02e2e84d5413607406d86a1139fb40ffe
:508da7288e45bd15e41285b271e5edaaf2d9a1cf
:5e7c7237a025f271e5ed1418cb23420764b09725
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:491c7ad109d751508a100e2f33fdacdebeceb8ad
:dfb4bf381b203f91f23e9019adc3ac6a89f258e1
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:7b936fa68e1aa1fb24203340dfb37db181449224
:a7dd5554a8d372b880c6e5ea378a611e7b691e3b
:66ed95e5c0f280f12721fbf7bceebb24dfec8da2
:0ab27c4f079bceb864665c96dfa4049fce32b43c
:886e076a93ae3bc92fb15c6e575d3ed17259d687
:f9a15f1cb853aa8ed2123815c88b2793f6de60b1
:49dcf62135a81acade74e2d930da6b585280e090
:4e07b77adb145cc6404542708f22dc48ded94731
:af84775651901b39ff6eb8869012ac9cb7f586f9
:3e87da6c0907f001a173d4a13e2c55070ff76b83
:74288dfd3695ce5a043a1f963a2a5bb4770b745b
:7e2907a76435b3ab5bb8cf3824256e105b6a6863
:1d96a62981a95493f0c21aadc43d00f6cc23d7a4
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:4365116f27d0b8916befe00333db576d32304815
:63c7c7bed1148408d81f8580cfb60e785d6b9441
:9e7f9920023c7d8d35e94b041966c802abfbb0a9
:7a74b8582437adeef8b8614af30e2b91417dff51
:708408740f7c7c4302b3bffb532e37ac7315a566
:ebe7a591c99931b940b3d8ddfca3d7e891a69576
:e103cad47ec6886d6bc49bf6a555f48dbc314dd9
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:46caf50b7b8405049cc76b9d88092acce249ec89
:585e18f56063dab8934660820f0c63765c6c1a1f
:055be289405a59e4831a0c2ddb5cfc021fce61da
:3a66db60db8c4065c827d710ad7ea7e7bc32de35
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:e01f93e4d0104969c6f61e8413292ce88b940297
:0911ea7c180d733724f89037b8e8a34e64024aec
:9f1341d7a2236a2c66519f5118d1111b6fd4bb81
:d454b6473bc310c5639900dd4e913d802cf3e42e
:634eca0cadcf35206919dd5e6a8e2e8601276947
:08df96ae175decef8646568ee9c7849e500e77e8
:e5f626726497a81807681ed0088dbce6d6a1f17b
:263808e67654286dd52d513eff5f47217feb6bf2
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:4c842320387ff7f6f91b7842b223c16518be909f
:7c1b09f04b83e7980ccfdcac5458777a72ed490e
:15884fc2eaffdfd09ec4915204e24247ee799443
:7c4077752ff43f64a483ba9bea9a09c83ddc3537
:4793c1512f43b6e52464adc6d7bccb308160b00c
:096d5ffaa54bc927bbff329fc72f6207137ad809
:b6daf4d6231567e779f59e3ab5e7909ed5eb2cdf
:1c142de7d000e96c78486d6e5ef7704bd813db30
:d55b9ea25c0a05ec7676f53c96c700790aa17654
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:5ac90ccacd76b252b278e42a3636015fae793bde
:c13e5eff81678c953c6e65b5b1a9623ddbd120f1
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:411258dd13bfde5ebeba996eaa5703942827c374
:c5e453fe5d6318e6edd7588a5b50cb13611e2b32
:ee54c6111ed45cb8fdbd92c1d14867f5ae47343e
:8164c04fe43680778d29c2775cef453f494ab62b
:8fb625478bd7a72dd54181bc903a5a2de29b1a89
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:95732a44ff4626574a2c981184614ecab521006f
:34379b9acca9429c42f8496a78c30e20ca8893fe
:de57147c7e231ab4c509f3476d10f1773a820a9f
:4f23f08f29b4950150b13ecb653bd3e73cea29e4
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:527be64fcddc18118c092eafc6ac62c7308dbce4
:a56cc2e447e45d89270a45e979979c43220dac76
:1f2965e248d3e3bd74c4f1e7d6ad5eaa4125ccda
:c8e7f118041a9f77e0dd673da11b5653be27b5a2
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:8c891e7ec31cb1629d3f74da75b83426143e3613
:390f528ebe8fde05aa427321bc28fb68c5198ab1
:75e8336c46560f14c7489c882f323ddcce9f0124
:0c87adc6608393abd770c2a540d7a455655a64a1
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:1a7793c08ecf16e5aff57114be29da375f5cc5a2
:fbb65ff1806064c029b5a631cb5cebbf0ae715cf
:2c5b60b2c0c44e40c45b22e8ea71a8836fbe9344
:b6b988f6371c448661831265b6cba542e44db580
:83eaf534f789338ec43432c66a28bb7680834b45
:00f22750b90fe47821127c19f062d1c068a47ee3
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:a1a077e10ed2f0d98f484cea31d64c473be1dfc0
:4953d1f613914126bccceb3cb96386647ffba9df
:59bd74d37c0bf8b625dd7dd8c1d7eb42abc3262a
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:83c5aa509e604f41fef06b09b4e65b9de5954c04
:b4951f04c59dd621392b35934490d4bfca5b3dae
:3416b2ab0ce2faae0d1f8d59b70079df410865bc
:6b8b320585331c169ea5c8d6efddbe617725827e
:6b294485ea431f3af12c75d878ff66ebc5fe1c50
:e9daf980789f68a9735b674aeaccdc94362bd1ad
:f6077f4206926ac5621cb629454cfe9c0a60aa28
:c0a40c80160ade1da5abfced9c5b542c66db9ab3
:ddaccb07249c19d72544053590a31401e305a762
:e567a4b498aa9dfc484575e666a17925f0944318
:eedc908aae85303be5fcc961bb293d7b37c97960
:ccda0d37b6bd1f39ffd20c5fe84f2724a1dc87bf
:b038838c10d38141b6ec19b40168be9caaa78286
:824c7ed12bdc96a755733f7bae01ae6d965465f8
:bb1384e54002c1c06cddc3945fffe75a93828516
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:623d818893206b3a37628a4a32faa947d6f4d010
:7cdf9e9b898b041164bb3304071029813bbcd8d2
:0db327057a3cb14ad55b960d86715f8817fad087
:2371d3cd2d7f4ae5fc1aae837abe7e921ebc2885
:952686c03f57e9199822e2f501c0cfc2b10223c7
:02278e6fab817461af5d9daf1ba469161ef51a44
:34fdb31481906f347f8dd8215f0df5d3f074167b
:8ae31fc9c94ddf587f55cc4335c4fcd18e9d3d7e

environ:
:XDG_SESSION_ID=3
:HOSTNAME=OndraLaptop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=e0116632944eca88acb0af350000000d-1312949548.375675-265900250
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-bkNWZq
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=ondra
:USERNAME=ondra
:MAIL=/var/spool/mail/ondra
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/ondra/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ondra
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1687
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/ondra
:SHLVL=1
:LOGNAME=ondra
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lEce2rU8FN,guid=861276c916c2801a8994398e00000737
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ondra
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-ondra-eXT1rY/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1695,unix/unix:/tmp/.ICE-unix/1695
:ORBIT_SOCKETDIR=/tmp/orbit-ondra
:GPG_AGENT_INFO=/tmp/keyring-bkNWZq/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-bkNWZq/ssh
:DESKTOP_AUTOSTART_ID=10512c0bada5f5a808131294955011239200000016950003

var_log_messages:
:Aug 10 16:13:14 OndraLaptop kernel: [37892.935711] evolution[1938] general protection ip:35b6861b2e sp:7fff9a2e7f50 error:0 in libglib-2.0.so.0.2800.8[35b6800000+115000]
:Aug 10 16:13:15 OndraLaptop abrt[8179]: saved core dump of pid 1938 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2011-08-10-16:13:14-1938.new/coredump (129753088 bytes)

xsession_errors:
:(evolution:1938): Tracker-DEBUG: Tracker Evolution plugin enabled
:(evolution:1938): Tracker-DEBUG: Tracker plugin creating new object...
:RSS Plugin enabled (evolution 3.0, evolution-rss 0.2.90)

Comment 1 Ondra Pelech 2011-08-10 14:21:06 UTC
Created attachment 517624 [details]
File: dso_list

Comment 2 Ondra Pelech 2011-08-10 14:21:21 UTC
Created attachment 517625 [details]
File: maps

Comment 3 Ondra Pelech 2011-08-10 14:21:25 UTC
Created attachment 517626 [details]
File: backtrace

Comment 4 Milan Crha 2011-08-11 06:34:03 UTC
Thanks for a bug report. The crash comes from evolution-rss, thus I'm moving it there.

Thread 1 (Thread 0x7fdd6f6fe9a0 (LWP 1938)):
#0  g_strchug (string=0x79766162617a4530 <Address 0x79766162617a4530 out of bounds>) at gstrfuncs.c:2356
#1  0x00007fdd5622b6c1 in get_feed_age (r=0x2571f50, name=<optimized out>) at rss.c:5804
#2  0x00007fdd5622c2e1 in generic_finish_feed (msg=<optimized out>, user_data=0x26caca0) at rss.c:3512

Comment 5 Fedora End Of Life 2012-08-07 15:49:31 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.